in scala
object Iterator

`object` Iterator
  `extends` java.lang.Object
  `with` scala.ScalaObject

  The `Iterator` object provides various functions for creating specialized iterators.

Author:
  Martin Odersky
Author:
  Matthias Zenger
Version:
  1.2, 10/02/2007

Constructor Summary
| `def` this

Val Summary
| `val` empty : java.lang.Object with scala.Iterator[scala.Nothing]

Def Summary
| `def` from (lo: scala.Int) : scala.Iterator[scala.Int] Create an iterator with elements `en+1 = en + 1` where `e0 = lo`.
| `def` from (lo: scala.Int, step: (scala.Int) => scala.Int) : scala.Iterator[scala.Int] Create an iterator with elements `en+1 = step(en)` where `e0 = lo`.
| `def` from (lo: scala.Int, step: scala.Int) : scala.Iterator[scala.Int] Create an iterator with elements `en+1 = en + step` where `e0 = lo`.
| `def` fromArray [a] (xs: scala.Array[a]) : scala.Iterator[a]
| `def` fromArray [a] (xs: scala.Array[a], start: scala.Int, length: scala.Int) : scala.Iterator[a]
| `def` fromCaseClass (n: scala.Product) : scala.Iterator[scala.Any]
| `def` fromProduct (n: scala.Product) : scala.Iterator[scala.Any]
| `def` fromString (str: java.lang.String) : scala.Iterator[scala.Char]
| `def` fromValues [a] (xs: a*) : scala.Iterator[a]
| `def` range (lo: scala.Int, end: scala.Int) : scala.Iterator[scala.Int] Create an iterator with elements `en+1 = en + 1` where `e0 = lo` and `ei < end`.
| `def` range (lo: scala.Int, end: scala.Int, step: (scala.Int) => scala.Int) : scala.Iterator[scala.Int] Create an iterator with elements `en+1 = step(en)` where `e0 = lo` and `ei < end`.
| `def` range (lo: scala.Int, end: scala.Int, step: scala.Int) : scala.Iterator[scala.Int] Create an iterator with elements `en+1 = en + step` where `e0 = lo` and `ei < end`.
| `def` single [a] (x: a) : java.lang.Object with scala.Iterator[a]

Constructor Detail

`def` this

Val Detail

`val` empty : java.lang.Object with scala.Iterator[scala.Nothing]

Def Detail

`def` from (lo: scala.Int): scala.Iterator[scala.Int]

  Create an iterator with elements `en+1 = en + 1` where `e0 = lo`.

Parameters:
  `lo -` the start value of the iterator
Returns:
  the iterator starting at value `lo`.

`def` from (lo: scala.Int, step: (scala.Int) => scala.Int): scala.Iterator[scala.Int]

  Create an iterator with elements `en+1 = step(en)` where `e0 = lo`.

Parameters:
  `lo -` the start value of the iterator
Parameters:
  `step -` the increment function of the iterator
Returns:
  the iterator starting at value `lo`.

`def` from (lo: scala.Int, step: scala.Int): scala.Iterator[scala.Int]

  Create an iterator with elements `en+1 = en + step` where `e0 = lo`.

Parameters:
  `lo -` the start value of the iterator
Parameters:
  `step -` the increment value of the iterator
Returns:
  the iterator starting at value `lo`.

`def` fromArray [a](xs: scala.Array[a]): scala.Iterator[a]

Parameters:
  `xs -` the array of elements
Returns:
  the iterator on `xs`.

`def` fromArray [a](xs: scala.Array[a], start: scala.Int, length: scala.Int): scala.Iterator[a]

Parameters:
  `xs -` the array of elements
Parameters:
  `start -` ...
Parameters:
  `length -` ...
Returns:
  ...

[scala.deprecated]
`def` fromCaseClass (n: scala.Product): scala.Iterator[scala.Any]

Deprecated:
  use `fromProduct` instead.

`def` fromProduct (n: scala.Product): scala.Iterator[scala.Any]

Parameters:
  `n -` the product arity
Returns:
  the iterator on `Product<n>`.

`def` fromString (str: java.lang.String): scala.Iterator[scala.Char]

Parameters:
  `str -` the given string
Returns:
  the iterator on `str`

`def` fromValues [a](xs: a*): scala.Iterator[a]

`def` range (lo: scala.Int, end: scala.Int): scala.Iterator[scala.Int]

  Create an iterator with elements `en+1 = en + 1` where `e0 = lo` and `ei < end`.

Parameters:
  `lo -` the start value of the iterator
Parameters:
  `end -` the end value of the iterator
Returns:
  the iterator with values in range `[lo;end)`.

`def` range (lo: scala.Int, end: scala.Int, step: (scala.Int) => scala.Int): scala.Iterator[scala.Int]

  Create an iterator with elements `en+1 = step(en)` where `e0 = lo` and `ei < end`.

Parameters:
  `lo -` the start value of the iterator
Parameters:
  `end -` the end value of the iterator
Parameters:
  `step -` the increment function of the iterator
Returns:
  the iterator with values in range `[lo;end)`.

`def` range (lo: scala.Int, end: scala.Int, step: scala.Int): scala.Iterator[scala.Int]

  Create an iterator with elements `en+1 = en + step` where `e0 = lo` and `ei < end`.

Parameters:
  `lo -` the start value of the iterator
Parameters:
  `end -` the end value of the iterator
Parameters:
  `step -` the increment value of the iterator (must be positive or negative)
Returns:
  the iterator with values in range `[lo;end)`.

`def` single [a](x: a): java.lang.Object with scala.Iterator[a]

Parameters:
  `x -` the element
Returns:
  the iterator with one single element